Subject: [RFC/PATCH v5 5/7] ARM: ARM11 MPCore: cpu_v6_dcache_clean_area needs RFO

From: [email-masked] (Catalin Marinas)
Date: Wed, 13 Jun 2012 10:41:27 +0100

On Wed, Jun 13, 2012 at 10:36:34AM +0100, Russell King - ARM Linux wrote:
> On Wed, Jun 13, 2012 at 10:32:18AM +0100, Catalin Marinas wrote:
> > Alternatively, we could disable the interrupts around RFO and D-cache
> > cleaning (inside the loop), though I think the preempt disabling is
> > faster.
> 
> It also has the *important* effect that it doesn't cause problems with
> interrupt latency, which is a real concern if you have peripherals
> requiring quick servicing.

I was suggesting just disabling the interrupts inside the loop around
RFO and D-cache cleaning, so only for a single cache line (and not the
whole range) which would not introduce noticeable interrupt latency.

-- 
Catalin